package org.jeecg.common.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.archives.entity.ProjectManageArchivesAndBusiness;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel("项目档案计划列表查询")
@Data
public class ProStatisticsRespDTO {
    private String id;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("项目组成员")
    private String proMember;
    @ApiModelProperty("收付款条线编码")
    private String coArchivesCode;
    @ApiModelProperty("收付款条线名称")
    private String coArchivesName;
    @ApiModelProperty("里程碑计划开始时间")
    private Date mileStartDate;
    @ApiModelProperty("里程碑计划实际开始时间")
    private Date mileRealStartDate;
    @ApiModelProperty("里程碑计划结束时间")
    private Date mileEndDate;
    @ApiModelProperty("里程碑实际计划结束时间")
    private Date mileRealEndtDate;
    @ApiModelProperty("里程碑计划工时")
    private Double mileDduration;
    @ApiModelProperty("里程碑计划实际工时")
    private Double mileRealDduration;
    @ApiModelProperty("里程碑计划收款")
    private BigDecimal mileCoPlan;
    @ApiModelProperty("里程碑开票金额")
    private BigDecimal mileInvoice;
    @ApiModelProperty("里程碑实际收款")
    private BigDecimal mileRealCollecion;
    @ApiModelProperty("里程碑计划付款")
    private BigDecimal milePayPlan;
    @ApiModelProperty("里程碑收票金额")
    private String mileTicket;
    @ApiModelProperty("里程碑实际付款")
    private BigDecimal mileRealPayment;

    public ProStatisticsRespDTO() {
    }

    public ProStatisticsRespDTO(ProjectManageArchivesAndBusiness business) {
        this.id = business.getId();
        this.proName = business.getPlanName();
        this.proCode =  proCode;
        this.proMember = proMember;
        this.coArchivesCode = coArchivesCode;
        this.coArchivesName = business.getPlanName();
        this.mileStartDate = mileStartDate;
        this.mileRealStartDate = mileRealStartDate;
        this.mileEndDate = mileEndDate;
        this.mileRealEndtDate = mileRealEndtDate;
        this.mileDduration = mileDduration;
        this.mileRealDduration = mileRealDduration;
        this.mileCoPlan = mileCoPlan;
        this.mileInvoice = mileInvoice;
        this.mileRealCollecion = mileRealCollecion;
        this.milePayPlan = milePayPlan;
        this.mileTicket = mileTicket;
        this.mileRealPayment = mileRealPayment;
    }
}
